"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CostandUsageReportServiceClient_1 = require("./CostandUsageReportServiceClient");
var DeleteReportDefinitionCommand_1 = require("./commands/DeleteReportDefinitionCommand");
var DescribeReportDefinitionsCommand_1 = require("./commands/DescribeReportDefinitionsCommand");
var PutReportDefinitionCommand_1 = require("./commands/PutReportDefinitionCommand");
var CostandUsageReportService = /** @class */ (function (_super) {
    tslib_1.__extends(CostandUsageReportService, _super);
    function CostandUsageReportService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CostandUsageReportService.prototype.deleteReportDefinition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteReportDefinitionCommand_1.DeleteReportDefinitionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CostandUsageReportService.prototype.describeReportDefinitions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReportDefinitionsCommand_1.DescribeReportDefinitionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CostandUsageReportService.prototype.putReportDefinition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutReportDefinitionCommand_1.PutReportDefinitionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return CostandUsageReportService;
}(CostandUsageReportServiceClient_1.CostandUsageReportServiceClient));
exports.CostandUsageReportService = CostandUsageReportService;
//# sourceMappingURL=CostandUsageReportService.js.map